.btn {
  display: inline-block;
  position: relative;
  width: 100%;
  padding: 0;
  font-size: medium;
  font-weight: bold;
  color: white;
  background-color: #333;
  border: 0 solid #333;
  cursor: pointer;
}

.btn__medium {
  height: 3.2em;
}

.btn__small {
  height: 2em;
}

.btn__medium ~ .btn__medium {
  margin-top: 0.6rem;
}

.btn__small ~ .btn__small {
  margin-top: 0.4rem;
}

.btn:focus,
.btn:hover {
  background-color: #8e8d8a;
}

.btn:focus::after,
.btn:hover::after {
  position: absolute;
  width: 0.7em;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: var(--clr-orange);
  content: "";
}

@media screen and (max-width: 700px) {
  .btn__medium {
    height: 2.5em;
  }

  .btn__small {
    height: 1.7em;
  }

  .btn__medium ~ .btn__medium {
    margin-top: 0.6rem;
  }

  .btn__small ~ .btn__small {
    margin-top: 0.6rem;
  }
}
